API Integration

List API integrations

GET/api/v2/api-integrations
List API integrations

Query Parameters

ParameterDescription
like string
Parameter to filter the command output by resource name. Uses case-insensitive pattern matching, with support for SQL wildcard characters.

Response

CodeDescription
200
successful
202
Successfully accepted the request, but it is not completed yet.

Create an API integration

POST/api/v2/api-integrations
Create an API integration

Query Parameters

ParameterDescription
createMode string
Parameter allowing support for different modes of resource creation. Possible values include:
  • errorIfExists: Throws an error if you try to create a resource that already exists.
  • orReplace: Automatically replaces the existing resource with the current one.
  • ifNotExists: Creates a new resource when an alter is requested for a non-existent resource.

Response

CodeDescription
200
Successful request.
202

Fetch an API integration

GET/api/v2/api-integrations/{name}
Fetch an API integration

Path Parameters

ParameterDescription
name 
Identifier (i.e. name) for the resource.

Response

CodeDescription
200
successful
202

Create an (or alter an existing) API integration

PUT/api/v2/api-integrations/{name}
Create an (or alter an existing) API integration. Note that API_KEY is not currently altered by this operation and is supported for a newly-created object only. Unsetting API_BLOCKED_PREFIXES is also unsupported.

Response

CodeDescription
200
202

Delete an API integration

DELETE/api/v2/api-integrations/{name}
Delete an API integration

Query Parameters

ParameterDescription
ifExists boolean
Parameter that specifies how to handle the request for a resource that does not exist:
  • true: The endpoint does not throw an error if the resource does not exist. It returns a 200 success response, but does not take any action on the resource.
  • false: The endpoint throws an error if the resource doesn't exist.

Response

CodeDescription
200
202

Set tags on an API integration

POST/api/v2/api-integrations/{name}:set-tags
Set tags on an API integration.

Response

CodeDescription
200
202

Unset tags from an API integration

POST/api/v2/api-integrations/{name}:unset-tags
Unset tags from an API integration.

Response

CodeDescription
200
202

Get the tag assignments for an API integration

GET/api/v2/api-integrations/{name}:get-tags
Returns all tags assigned to an API integration. This operation requires an active warehouse.

Query Parameters

ParameterDescription
withLineage boolean
Parameter that specifies whether tag assignments inherited by the object from its ancestors in securable object hierarchy should be returned as well:
  • true: All tags assigned to this object should be returned, inheritance included.
  • false: Only tags explicitly assigned to this object should be returned.

Response

CodeDescription
200
successful
202